Summary: A debugger for Mono
Name: mono-debugger
Version: 0.60
Release: 3%{?dist}
License: MIT
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.go-mono.com/sources-stable/
Source0: http://www.go-mono.com/sources-stable/%{name}/%{name}-%{version}.tar.bz2
Patch0: monodebug-configure.patch
Patch1: mono-debugger-0.60-noasmuser.patch
Patch2: mono-debugger-0.60-use-system-cecil.patch
BuildRequires: readline-devel ncurses-devel libtool
BuildRequires: mono-devel mono-nunit
BuildRequires: mono-nunit-devel autoconf automake
Requires: mono-core >= 1.2.6
Group: Development/Tools
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc alpha

%description

A debugger is an important tool for development. The Mono 
Debugger (MDB) can debug both managed and unmanaged applications. 
It provides a reusable library that can be used to add debugger 
functionality to different frontends. The debugger package 
includes a console debugger named "mdb", and MonoDevelop 
provides a GUI interface to the debugger.
	  
%package devel
Summary: Development files for mono-debugger
Requires: %{name} = %{version}-%{release} pkgconfig
Group: Development/Libraries

%description devel
Development package for mono-debugger

%prep
%setup -q
%patch0 -p1
autoreconf
%patch1 -p1
rm -rf build/*.dll
%patch2 -p1
# Copy something that we know got built from source.
# This doesn't end up in the package, though.
cp %{_libdir}/mono/gac/Mono.Cecil/*/Mono.Cecil.dll build/


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%postun -p /sbin/ldconfig

%post -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README README.FreeBSD TODO NEWS RELEASE-NOTES*
%{_bindir}/mdb
%{_libdir}/*.so*
%{_libdir}/mono/1.0/*.exe
%{_libdir}/mono/mono-debugger/
%{_libdir}/mono/gac/Mono.Debugger/
%{_libdir}/mono/gac/Mono.Debugger.Backend/

%files devel
%defattr(-,root,root)
%doc README.build
%{_libdir}/pkgconfig/mono-debugger.pc

%changelog
* Fri Apr 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.60-3
- fix compile
- use system Cecil, not prebundled binary Cecil
- this thing is stupid, it needs the .so file to run, moving it to the main package

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.60-2.2
- Autorebuild for GCC 4.3

* Wed Dec 19 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.60-1.2
- bump
- use exclusivearch instead of exclude

* Sun Dec 16 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.50-2
- url fix

* Sun Nov 18 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.50-1
- bump

* Fri Feb 16 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.31-2
- fix for faulty config (Ville Skytta)
- added addition configure flag

* Thu Feb 15 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.31-1
- removed BR termcap
- bump to 0.31

* Thu Sep 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-7
- Removed FC-5 bits
- Added R mono-core to ensure correct version of mono is used

* Wed Sep 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-6
- Fixes for FC-5
- Rebuild for FC-6 mono
- Fixed ExcludeArch

* Mon Aug 28 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-5
- added defattr to devel
- removed the disable debug
- fixed source0

* Sun Aug 27 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-3
- Added configure.in patch
- Added additional BRs for above patch
- Moved README.build to the devel package

* Wed Aug 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-2
- Removed the mono hack
- Added pkgconfig for the devel package
- Reverted monodir in spec to libdir
- Added additional BRs to satisfy mock

* Wed Aug 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-1
- bump to new version
- Added devel package
- added clean
- changed the mono hack
- altered the BR to now use mono-devtools

* Sun Jun 04 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.12-4
- Fixed ownership problems
- Added 64 bit fix
- Added --disable-static to the configure line

* Sun Apr 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.12-3
- removed the static libdir
- added exclusivearchs
- added exports to fix the x86_64 problem

* Tue Apr 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.12-2
- libdir is now usr-lib irrespective of architecture built on
- spec file fixes and small alterations

* Sun Apr 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.12-1
- Initial import for FE
- Spec file based roughly on the one from the mono-project guys

